function Z = getcolorfield(X,Y,particles,m)
% GETCOLORFIELD Compute color field for SPH surface extraction.

n = size(particles,2);
h = 0.01;  % Finite support of the kernel.

% Calculate densities for all the particles.
rho = zeros(1,n);
for i = 1:n
   for j = 1:n
      rho(i) = rho(i) + m * kernel(particles(:,i)-particles(:,j),h);
   end
end

% Calculate color field value for every grid point.
Z = zeros(size(X));
for i = 1:numel(X)
   for j = 1:n
      Z(i) = Z(i) + m/rho(j) * kernel([X(i);Y(i)]-particles(:,j),h);
   end
end