function particles = initialize_particles(dim,N)
% INITIALIZE_PARTICLES Generate particle locations.

% Generate some points.
[x,y] = meshgrid(-1:0.5:2.5, -2:0.5:5);
x = reshape(x,1,numel(x));
y = reshape(y,1,numel(y));
particles = [x(1:N);y(1:N)];
particles = 0.5 * particles;

% Rotate them by -pi/6.
R = [cos(-pi/6), -sin(-pi/6); sin(-pi/6), cos(-pi/6)];
particles = R * particles;

% Translate them.
particles(1,:) = particles(1,:) + 2.5;
particles(2,:) = particles(2,:) + 8;

% plot(particles(1,:),particles(2,:),'.'), axis equal

% Scale the location to fit the "glass".
particles = particles * 0.01;