function povray(particles,frame)
% POVRAY Create input file for POV-Ray.

% Copy reference.pov to framexxxx.pov, where xxxx is the frame number.
filename = sprintf('..\\povray\\frame%04.0f.pov',frame);
copyfile('..\povray\reference.pov',filename)

% Open framexxxx.pov.
fid = fopen(filename,'a');

% Append the particles as blob compoments.
for i = 1:size(particles,2)
   fprintf(fid,'\n    sphere { <%1.4f,%1.4f,0>, 0.0035, 1.3 }',particles(1,i),particles(2,i));
end
fprintf(fid,'\n    pigment { rgb <0.8,0.8,1> transmit 0.6 }');
fprintf(fid,'\n    interior { ior 1.33 }');
fprintf(fid,'\n}');

% Close the file.
fclose(fid);